> ## Documentation Index
> Fetch the complete documentation index at: https://velocity-api-docs.medshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve customer attachment



## OpenAPI

````yaml /openapi.json get /v1/customers/{customer_pk}/attachments/{id}/
openapi: 3.0.3
info:
  title: Velocity for BigCommerce Zapier API
  version: 0.0.1
servers:
  - url: https://{tenant}.api.velocity.medshift.com/integrations/zapier
    variables:
      tenant:
        default: your-subdomain
        description: Your tenant's subdomain.
security: []
paths:
  /v1/customers/{customer_pk}/attachments/{id}/:
    get:
      tags:
        - Customer Attachments
      summary: Retrieve customer attachment
      operationId: v1_customers_attachments_retrieve
      parameters:
        - in: path
          name: customer_pk
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerAttachment'
          description: ''
      security:
        - ZapierAuthentication: []
components:
  schemas:
    CustomerAttachment:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        type:
          allOf:
            - $ref: '#/components/schemas/AttachmentTypeEnum'
          readOnly: true
        name:
          type: string
          minLength: 1
          maxLength: 200
        description:
          type: string
          maxLength: 2000
        link:
          $ref: '#/components/schemas/LinkBody'
        file:
          allOf:
            - $ref: '#/components/schemas/FileBody'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        created_by:
          allOf:
            - $ref: '#/components/schemas/User'
          readOnly: true
      required:
        - created_at
        - created_by
        - file
        - id
        - name
        - type
    AttachmentTypeEnum:
      type: string
      enum:
        - file
        - link
    LinkBody:
      type: object
      properties:
        url:
          type: string
          format: uri
          minLength: 1
          maxLength: 500
      required:
        - url
    FileBody:
      type: object
      properties:
        filename:
          type: string
          readOnly: true
        size_bytes:
          type: integer
          readOnly: true
      required:
        - filename
        - size_bytes
    User:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          minLength: 1
        email:
          type: string
          format: email
          minLength: 1
        picture:
          type: string
          format: uri
          minLength: 1
      required:
        - email
        - id
        - name
        - picture
  securitySchemes:
    ZapierAuthentication:
      type: apiKey
      in: header
      name: X-API-Key

````